Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Sun Adapter for SAG API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.sagadapter.sagapi
Interface SAGMessage.SAGEnvelope.SAGNamedItemList

Enclosing interface:
  SAGMessage.SAGEnvelope

    public static interface SAGMessage.SAGEnvelope.SAGNamedItemList

It is for Named Item List

Version:
  cvs revision: $Revision: 1.4 $ Last Modified: $Date: 2007/10/19 19:48:22 $
Author:
  Harry Liu (harry.liu@sun.com)

Nested Class Summary
`static interface` | `SAGMessage.SAGEnvelope.SAGNamedItemList.SAGNamedItem` It is for Named Item.

Method Summary
`SAGMessage.SAGEnvelope.SAGNamedItemList.SAGNamedItem` | `getNamedItem(int item)` Gets the named item.
`SAGMessage.SAGEnvelope.SAGNamedItemList.SAGNamedItem` | `getNamedItem(java.lang.String itemName)` Gets the named item.
`int` | `getNumberOfItem()` Gets the number of the item.
`void` | `insert(SAGMessage.SAGEnvelope.SAGNamedItemList.SAGNamedItem item)` Inserts the SAG named item.

Method Detail

### getNumberOfItem

    int getNumberOfItem()

  Gets the number of the item.

  Returns:
    `int` - Returns the number of the item.
  Throws:
    None.

### getNamedItem

    SAGMessage.SAGEnvelope.SAGNamedItemList.SAGNamedItem getNamedItem(int item)

  Gets the named item.

  Parameters:
    `item` -
  Returns:
    `SAGNamedItem` - Returns named item.
  Throws:
    None.

### getNamedItem

    SAGMessage.SAGEnvelope.SAGNamedItemList.SAGNamedItem getNamedItem(java.lang.String itemName)

  Gets the named item.

  Parameters:
    `itemName` -
  Returns:
    `SAGNamedItem` - Returns named item.
  Throws:
    None.

### insert

    void insert(SAGMessage.SAGEnvelope.SAGNamedItemList.SAGNamedItem item)

  Inserts the SAG named item.

  Parameters:
    `item` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Sun Adapter for SAG API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Sun Microsystems, Inc. All rights reserved.